Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226338 - Merge Review: PyQt
Summary: Merge Review: PyQt
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:45 UTC by Nobody's working on this, feel free to take it
Modified: 2012-09-04 16:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-30 17:40:16 UTC
rdieter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:45:54 UTC
Fedora Merge Review: PyQt

http://cvs.fedora.redhat.com/viewcvs/devel/PyQt/
Initial Owner: than@redhat.com

Comment 1 Rex Dieter 2007-02-12 16:54:44 UTC
PyQt looks good, simple and clean, APPROVED.

A few small SHOULD items to consider post-merge:
* -BuildRequires: libGL-devel libGLU-devel
  qt-devel Req's these now.
* +BuildRequires: qscintilla-devel
  to build/include qscintilla extention (provided now by Extras' PyQt-qscintilla)

Comment 2 Michał Bentkowski 2007-02-12 17:25:40 UTC
Source0 URL no longer exists, should be fixed.

Comment 3 Rex Dieter 2007-02-26 16:50:14 UTC
Good catch, use (something like)
Source0:
http://www.riverbankcomputing.com/Downloads/PyQt3/GPL/PyQt-x11-gpl-%{version}.tar.gz
instead.

Comment 4 Rex Dieter 2007-05-16 18:29:13 UTC
Than, are you going to implement items from comment #1 (post merge), so we can
put PyQt-qscintilla to rest?  

If so either preserve the -qscintilla/-qscintilla-devel subpkgs, or add
Obsoletes: %{name}-qscintilla > %{version}-%{release}
Provides:  %{name}-qscintilla = %{version}-%{release}
and add to -devel
Obsoletes: %{name}-qscintilla-devel > %{version}-%{release}
Provides:  %{name}-qscintilla-devel = %{version}-%{release}

Comment 5 Ngo Than 2007-05-18 10:55:29 UTC
it seems the CVS has problem i cannot connect to CVS server. I will add the 
change in CVS when CVS works again.

Comment 6 Rex Dieter 2007-06-20 14:33:46 UTC
Than, can you incorporate the qscintilla bits soon?

Comment 7 Rex Dieter 2007-10-09 15:16:29 UTC
ping (3+ mos later...)

Comment 8 Rex Dieter 2008-01-30 17:40:16 UTC
all done, merged.

Comment 9 Jonathan Underwood 2012-09-04 13:22:25 UTC
Package Change Request
======================
Package Name: PyQt
New Branches: el6
Owners: jgu

Comment 10 Gwyn Ciesla 2012-09-04 13:42:47 UTC
Are the existing maintainers on board with the EL-6 branch?

Comment 11 Rex Dieter 2012-09-04 13:50:24 UTC
no objection

Comment 12 Jonathan Underwood 2012-09-04 15:00:43 UTC
Thanks Rex - this is to solve BZ #847506 - ScientificPython-qt (built for EL6) requires PyQt.

Comment 13 Jonathan Underwood 2012-09-04 15:02:06 UTC
Jon - did you mean to cancel the CVS flag?

Comment 14 Gwyn Ciesla 2012-09-04 16:09:00 UTC
Git done (by process-git-requests).

At that time I did, yes. :)


Note You need to log in before you can comment on or make changes to this bug.